import asyncio
from pytest_twisted import init_asyncio_reactor

# FIXME: Python 3.14 compatibility fix, see libervia/backend/core/launcher.py for details.
try:
    asyncio.get_event_loop()
except RuntimeError:
    loop = asyncio.new_event_loop()
    asyncio.set_event_loop(loop)

init_asyncio_reactor()
